1

[alpine-devel] [PATCH] main/btrfs-progs: update to 3.12

Eivind Uggedal
Details
Message ID
<1388102863-6058-1-git-send-email-eivind@uggedal.com>
Sender timestamp
1388102863
DKIM signature
missing
Download raw message
Patch: +13 -9
Added -dev subpackage for new headers and libbtrfs.
---
 main/btrfs-progs/APKBUILD | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

diff --git a/main/btrfs-progs/APKBUILD b/main/btrfs-progs/APKBUILD
index f069ba9a3914..00c9a0d06395 100644
--- a/main/btrfs-progs/APKBUILD
+++ b/main/btrfs-progs/APKBUILD
@@ -1,19 +1,18 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=btrfs-progs
-pkgver=0.20_rc1
-_ver=${pkgver/_rc/-rc}
+pkgver=3.12
 pkgrel=1
 pkgdesc="Tools for the btrfs"
 url="https://btrfs.wiki.kernel.org/"
 arch="all"
 license="GPL2"
 depends=""
-makedepends="util-linux-dev bash attr-dev acl-dev e2fsprogs-dev zlib-dev"
+makedepends="util-linux-dev bash attr-dev acl-dev e2fsprogs-dev zlib-dev lzo-dev"
 install=
-subpackages="$pkgname-doc"
-source="https://www.kernel.org/pub/linux/kernel/people/mason/btrfs-progs/btrfs-progs-v$_ver.tar.xz"
+subpackages="$pkgname-doc $pkgname-dev"
+source="https://www.kernel.org/pub/linux/kernel/people/mason/btrfs-progs/btrfs-progs-v${pkgver}.tar.xz"
 
-_builddir="$srcdir"/$pkgname-v$_ver
+_builddir="$srcdir"/$pkgname-v$pkgver
 prepare() {
 	cd "$_builddir"
 }
@@ -28,6 +27,11 @@ package() {
 	make prefix=/usr mandir=/usr/share/man DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="b152503b9f1a9f577293fa37b1312310  btrfs-progs-v0.20-rc1.tar.xz"
-sha256sums="ba969a90b4ae53fca9ba179469d47d194a29f25254612a91c6a12b473f94ee13  btrfs-progs-v0.20-rc1.tar.xz"
-sha512sums="92f7a1b7c2c8c7f8be6d7dcb284b97251a97893b201353de28e28f65b01a8517bdf576a0b02e7f8f30f9b8056c0b2985998c0f87c6e9da236899488133a862de  btrfs-progs-v0.20-rc1.tar.xz"
+dev() {
+	default_dev || return 1
+	mv "$pkgdir"/usr/lib/*.so* "$subpkgdir"/usr/lib
+}
+
+md5sums="cd96bb73acd864e577cddba5fe310650  btrfs-progs-v3.12.tar.xz"
+sha256sums="097e63561c91c1fbfdf99e7a60ed55b51fa0f057b3875c08413e362c93938cdf  btrfs-progs-v3.12.tar.xz"
+sha512sums="655e8d9ecf297281d07312bd19a6ab942f354a370147e0ca46a22e5bcd7485ed0d415247ba21162617a23b7f9def202cab3bb5dc23ccfa96496043b48dfda785  btrfs-progs-v3.12.tar.xz"
-- 
1.8.5.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20131227150937.4c492ce0@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1388102863-6058-1-git-send-email-eivind@uggedal.com> (view parent)
Sender timestamp
1388153377
DKIM signature
missing
Download raw message
On Fri, 27 Dec 2013 00:07:43 +0000
Eivind Uggedal <eivind@uggedal.com> wrote:

> Added -dev subpackage for new headers and libbtrfs.
> ---
>  main/btrfs-progs/APKBUILD | 22 +++++++++++++---------
>  1 file changed, 13 insertions(+), 9 deletions(-)

Applied. 

I had to add a #define for __always_inline and an #include
<linux/limits.h> I don't know it only affects musl though.

Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---